SG_CGPROGRAM(3)

NAME
SG_CgProgram - Agar-SG Cg program

SYNOPSIS

    #include <agar/core.h>
    #include <agar/sg.h>

DESCRIPTION
The SG_CgProgram object represents a vertex or pixel shader in the GPU programming language Cg.

INHERITANCE HIERARCHY
AG_Object(3) -> SG_Program(3) -> SG_CgProgram.

INITIALIZATION
SG_CgProgram * SG_CgProgramNew(AG_Object *parent, const char *name)

The SG_CgProgramNew() function allocates, initializes, and attaches a SG_CgProgram object.

STRUCTURE DATA
For the SG_CgProgram object:

CGprogram *objs
    List of compiled programs.
Uint nObjs
    Count of compiled programs.
CGprogram instObj
    Currently effective (installed) program.
CGprofile instProf
    Installed program profile.

SEE ALSO
SG(3), SG_Intro(3), SG_Program(3), SG_View(3)
Cg Toolkit (legacy): https://developer.nvidia.com/cg-toolkit

HISTORY
The SG_CgProgram class first appeared in Agar 1.6.0.